import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const colCss = "bs-col{flex:1 0 0%}bs-col[col]{flex:0 0 auto}bs-col[col=auto]{width:auto}bs-col[col=\"1\"]{width:calc(100% / var(--bgwc-grid-columns) * 1)}bs-col[col=\"2\"]{width:calc(100% / var(--bgwc-grid-columns) * 2)}bs-col[col=\"3\"]{width:calc(100% / var(--bgwc-grid-columns) * 3)}bs-col[col=\"4\"]{width:calc(100% / var(--bgwc-grid-columns) * 4)}bs-col[col=\"5\"]{width:calc(100% / var(--bgwc-grid-columns) * 5)}bs-col[col=\"6\"]{width:calc(100% / var(--bgwc-grid-columns) * 6)}bs-col[col=\"7\"]{width:calc(100% / var(--bgwc-grid-columns) * 7)}bs-col[col=\"8\"]{width:calc(100% / var(--bgwc-grid-columns) * 8)}bs-col[col=\"9\"]{width:calc(100% / var(--bgwc-grid-columns) * 9)}bs-col[col=\"10\"]{width:calc(100% / var(--bgwc-grid-columns) * 10)}bs-col[col=\"11\"]{width:calc(100% / var(--bgwc-grid-columns) * 11)}bs-col[col=\"12\"]{width:calc(100% / var(--bgwc-grid-columns) * 12)}@media (min-width: var(--bgwc-breakpoint-xs)){bs-col[col-xs=\"1\"]{width:calc(100% / var(--bgwc-grid-columns) * 1)}bs-col[col-xs=\"2\"]{width:calc(100% / var(--bgwc-grid-columns) * 2)}bs-col[col-xs=\"3\"]{width:calc(100% / var(--bgwc-grid-columns) * 3)}bs-col[col-xs=\"4\"]{width:calc(100% / var(--bgwc-grid-columns) * 4)}bs-col[col-xs=\"5\"]{width:calc(100% / var(--bgwc-grid-columns) * 5)}bs-col[col-xs=\"6\"]{width:calc(100% / var(--bgwc-grid-columns) * 6)}bs-col[col-xs=\"7\"]{width:calc(100% / var(--bgwc-grid-columns) * 7)}bs-col[col-xs=\"8\"]{width:calc(100% / var(--bgwc-grid-columns) * 8)}bs-col[col-xs=\"9\"]{width:calc(100% / var(--bgwc-grid-columns) * 9)}bs-col[col-xs=\"10\"]{width:calc(100% / var(--bgwc-grid-columns) * 10)}bs-col[col-xs=\"11\"]{width:calc(100% / var(--bgwc-grid-columns) * 11)}bs-col[col-xs=\"12\"]{width:calc(100% / var(--bgwc-grid-columns) * 12)}}@media (min-width: var(--bgwc-breakpoint-sm)){bs-col[col-sm=\"1\"]{width:calc(100% / var(--bgwc-grid-columns) * 1)}bs-col[col-sm=\"2\"]{width:calc(100% / var(--bgwc-grid-columns) * 2)}bs-col[col-sm=\"3\"]{width:calc(100% / var(--bgwc-grid-columns) * 3)}bs-col[col-sm=\"4\"]{width:calc(100% / var(--bgwc-grid-columns) * 4)}bs-col[col-sm=\"5\"]{width:calc(100% / var(--bgwc-grid-columns) * 5)}bs-col[col-sm=\"6\"]{width:calc(100% / var(--bgwc-grid-columns) * 6)}bs-col[col-sm=\"7\"]{width:calc(100% / var(--bgwc-grid-columns) * 7)}bs-col[col-sm=\"8\"]{width:calc(100% / var(--bgwc-grid-columns) * 8)}bs-col[col-sm=\"9\"]{width:calc(100% / var(--bgwc-grid-columns) * 9)}bs-col[col-sm=\"10\"]{width:calc(100% / var(--bgwc-grid-columns) * 10)}bs-col[col-sm=\"11\"]{width:calc(100% / var(--bgwc-grid-columns) * 11)}bs-col[col-sm=\"12\"]{width:calc(100% / var(--bgwc-grid-columns) * 12)}}@media (min-width: var(--bgwc-breakpoint-md)){bs-col[col-md=\"1\"]{width:calc(100% / var(--bgwc-grid-columns) * 1)}bs-col[col-md=\"2\"]{width:calc(100% / var(--bgwc-grid-columns) * 2)}bs-col[col-md=\"3\"]{width:calc(100% / var(--bgwc-grid-columns) * 3)}bs-col[col-md=\"4\"]{width:calc(100% / var(--bgwc-grid-columns) * 4)}bs-col[col-md=\"5\"]{width:calc(100% / var(--bgwc-grid-columns) * 5)}bs-col[col-md=\"6\"]{width:calc(100% / var(--bgwc-grid-columns) * 6)}bs-col[col-md=\"7\"]{width:calc(100% / var(--bgwc-grid-columns) * 7)}bs-col[col-md=\"8\"]{width:calc(100% / var(--bgwc-grid-columns) * 8)}bs-col[col-md=\"9\"]{width:calc(100% / var(--bgwc-grid-columns) * 9)}bs-col[col-md=\"10\"]{width:calc(100% / var(--bgwc-grid-columns) * 10)}bs-col[col-md=\"11\"]{width:calc(100% / var(--bgwc-grid-columns) * 11)}bs-col[col-md=\"12\"]{width:calc(100% / var(--bgwc-grid-columns) * 12)}}@media (min-width: var(--bgwc-breakpoint-lg)){bs-col[col-lg=\"1\"]{width:calc(100% / var(--bgwc-grid-columns) * 1)}bs-col[col-lg=\"2\"]{width:calc(100% / var(--bgwc-grid-columns) * 2)}bs-col[col-lg=\"3\"]{width:calc(100% / var(--bgwc-grid-columns) * 3)}bs-col[col-lg=\"4\"]{width:calc(100% / var(--bgwc-grid-columns) * 4)}bs-col[col-lg=\"5\"]{width:calc(100% / var(--bgwc-grid-columns) * 5)}bs-col[col-lg=\"6\"]{width:calc(100% / var(--bgwc-grid-columns) * 6)}bs-col[col-lg=\"7\"]{width:calc(100% / var(--bgwc-grid-columns) * 7)}bs-col[col-lg=\"8\"]{width:calc(100% / var(--bgwc-grid-columns) * 8)}bs-col[col-lg=\"9\"]{width:calc(100% / var(--bgwc-grid-columns) * 9)}bs-col[col-lg=\"10\"]{width:calc(100% / var(--bgwc-grid-columns) * 10)}bs-col[col-lg=\"11\"]{width:calc(100% / var(--bgwc-grid-columns) * 11)}bs-col[col-lg=\"12\"]{width:calc(100% / var(--bgwc-grid-columns) * 12)}}@media (min-width: var(--bgwc-breakpoint-xl)){bs-col[col-xl=\"1\"]{width:calc(100% / var(--bgwc-grid-columns) * 1)}bs-col[col-xl=\"2\"]{width:calc(100% / var(--bgwc-grid-columns) * 2)}bs-col[col-xl=\"3\"]{width:calc(100% / var(--bgwc-grid-columns) * 3)}bs-col[col-xl=\"4\"]{width:calc(100% / var(--bgwc-grid-columns) * 4)}bs-col[col-xl=\"5\"]{width:calc(100% / var(--bgwc-grid-columns) * 5)}bs-col[col-xl=\"6\"]{width:calc(100% / var(--bgwc-grid-columns) * 6)}bs-col[col-xl=\"7\"]{width:calc(100% / var(--bgwc-grid-columns) * 7)}bs-col[col-xl=\"8\"]{width:calc(100% / var(--bgwc-grid-columns) * 8)}bs-col[col-xl=\"9\"]{width:calc(100% / var(--bgwc-grid-columns) * 9)}bs-col[col-xl=\"10\"]{width:calc(100% / var(--bgwc-grid-columns) * 10)}bs-col[col-xl=\"11\"]{width:calc(100% / var(--bgwc-grid-columns) * 11)}bs-col[col-xl=\"12\"]{width:calc(100% / var(--bgwc-grid-columns) * 12)}}@media (min-width: var(--bgwc-breakpoint-xxl)){bs-col[col-xxl=\"1\"]{width:calc(100% / var(--bgwc-grid-columns) * 1)}bs-col[col-xxl=\"2\"]{width:calc(100% / var(--bgwc-grid-columns) * 2)}bs-col[col-xxl=\"3\"]{width:calc(100% / var(--bgwc-grid-columns) * 3)}bs-col[col-xxl=\"4\"]{width:calc(100% / var(--bgwc-grid-columns) * 4)}bs-col[col-xxl=\"5\"]{width:calc(100% / var(--bgwc-grid-columns) * 5)}bs-col[col-xxl=\"6\"]{width:calc(100% / var(--bgwc-grid-columns) * 6)}bs-col[col-xxl=\"7\"]{width:calc(100% / var(--bgwc-grid-columns) * 7)}bs-col[col-xxl=\"8\"]{width:calc(100% / var(--bgwc-grid-columns) * 8)}bs-col[col-xxl=\"9\"]{width:calc(100% / var(--bgwc-grid-columns) * 9)}bs-col[col-xxl=\"10\"]{width:calc(100% / var(--bgwc-grid-columns) * 10)}bs-col[col-xxl=\"11\"]{width:calc(100% / var(--bgwc-grid-columns) * 11)}bs-col[col-xxl=\"12\"]{width:calc(100% / var(--bgwc-grid-columns) * 12)}}bs-col[order=first]{order:-1 !important}bs-col[order=\"0\"]{order:0 !important}bs-col[order=\"1\"]{order:1 !important}bs-col[order=\"2\"]{order:2 !important}bs-col[order=\"3\"]{order:3 !important}bs-col[order=\"4\"]{order:4 !important}bs-col[order=\"5\"]{order:5 !important}bs-col[order=last]{order:6 !important}bs-col[align=start]{align-self:start !important}@media (min-width: var(--bgwc-breakpoint-xs)){bs-col[align-xs=start]{align-self:start !important}}@media (min-width: var(--bgwc-breakpoint-sm)){bs-col[align-sm=start]{align-self:start !important}}@media (min-width: var(--bgwc-breakpoint-md)){bs-col[align-md=start]{align-self:start !important}}@media (min-width: var(--bgwc-breakpoint-lg)){bs-col[align-lg=start]{align-self:start !important}}@media (min-width: var(--bgwc-breakpoint-xl)){bs-col[align-xl=start]{align-self:start !important}}@media (min-width: var(--bgwc-breakpoint-xxl)){bs-col[align-xxl=start]{align-self:start !important}}bs-col[align=end]{align-self:end !important}@media (min-width: var(--bgwc-breakpoint-xs)){bs-col[align-xs=end]{align-self:end !important}}@media (min-width: var(--bgwc-breakpoint-sm)){bs-col[align-sm=end]{align-self:end !important}}@media (min-width: var(--bgwc-breakpoint-md)){bs-col[align-md=end]{align-self:end !important}}@media (min-width: var(--bgwc-breakpoint-lg)){bs-col[align-lg=end]{align-self:end !important}}@media (min-width: var(--bgwc-breakpoint-xl)){bs-col[align-xl=end]{align-self:end !important}}@media (min-width: var(--bgwc-breakpoint-xxl)){bs-col[align-xxl=end]{align-self:end !important}}bs-col[align=center]{align-self:center !important}@media (min-width: var(--bgwc-breakpoint-xs)){bs-col[align-xs=center]{align-self:center !important}}@media (min-width: var(--bgwc-breakpoint-sm)){bs-col[align-sm=center]{align-self:center !important}}@media (min-width: var(--bgwc-breakpoint-md)){bs-col[align-md=center]{align-self:center !important}}@media (min-width: var(--bgwc-breakpoint-lg)){bs-col[align-lg=center]{align-self:center !important}}@media (min-width: var(--bgwc-breakpoint-xl)){bs-col[align-xl=center]{align-self:center !important}}@media (min-width: var(--bgwc-breakpoint-xxl)){bs-col[align-xxl=center]{align-self:center !important}}bs-col[align=stretch]{align-self:stretch !important}@media (min-width: var(--bgwc-breakpoint-xs)){bs-col[align-xs=stretch]{align-self:stretch !important}}@media (min-width: var(--bgwc-breakpoint-sm)){bs-col[align-sm=stretch]{align-self:stretch !important}}@media (min-width: var(--bgwc-breakpoint-md)){bs-col[align-md=stretch]{align-self:stretch !important}}@media (min-width: var(--bgwc-breakpoint-lg)){bs-col[align-lg=stretch]{align-self:stretch !important}}@media (min-width: var(--bgwc-breakpoint-xl)){bs-col[align-xl=stretch]{align-self:stretch !important}}@media (min-width: var(--bgwc-breakpoint-xxl)){bs-col[align-xxl=stretch]{align-self:stretch !important}}";

const BSCol = /*@__PURE__*/ proxyCustomElement(class BSCol extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
  }
  render() {
    return (h(Host, null, h("slot", null)));
  }
  static get style() { return colCss; }
}, [4, "bs-col"]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bs-col"];
  components.forEach(tagName => { switch (tagName) {
    case "bs-col":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, BSCol);
      }
      break;
  } });
}

const BsCol = BSCol;
const defineCustomElement = defineCustomElement$1;

export { BsCol, defineCustomElement };

//# sourceMappingURL=bs-col.js.map