import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';
import { d as defineCustomElement$2 } from './code.js';

const sectionCss = ":host{display:block}a{color:var(--link-color)}.section__title{margin:0 0 var(--gap-sm);font-size:2rem;font-weight:500}.section__info{color:#555;font-size:1.4rem}.section__info>a::after{content:\" ↗️\"}.section__example{padding:var(--gap-sm) var(--gap-sm) var(--gap);border:1px solid rgba(var(--violet-rgb), .2);border-bottom:none;border-radius:.6rem;border-bottom-left-radius:0;border-bottom-right-radius:0;background-color:rgba(var(--violet-rgb), 0.02)}.section__example-title{margin:0 0 var(--gap-sm);color:#555;font-weight:300;font-size:1.3rem;text-transform:uppercase;font-family:monospace}.section__example-content{margin:0 var(--gap-sm)}.section>*+*{margin-top:var(--gap-sm)}";

const BSWCSection = /*@__PURE__*/ proxyCustomElement(class BSWCSection extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    this.heading = undefined;
    this.slug = undefined;
    this.hasExample = true;
    this.language = '';
  }
  getCode(content) {
    return content;
  }
  render() {
    const code = this.getCode(this.element.innerHTML);
    return (h("section", { class: "section" }, h("h4", { class: "section__title" }, this.heading), h("div", null, this.hasExample ?
      h("div", { class: "section__example" }, h("div", { class: "section__example-title" }, "Example"), h("div", { class: "section__example-content" }, h("slot", null)))
      : '', h("bswc-code", { innerHTML: code, "has-example": this.hasExample, language: this.language })), this.slug ?
      h("p", { class: "section__info" }, "More info about ", h("a", { href: `https://getbootstrap.com/docs/5.3/layout/grid/#${this.slug}`, target: "_blank" }, this.heading), " at Bootstrap website.")
      : ''));
  }
  get element() { return this; }
  static get style() { return sectionCss; }
}, [1, "bswc-section", {
    "heading": [1],
    "slug": [1],
    "hasExample": [4, "has-example"],
    "language": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bswc-section", "bswc-code"];
  components.forEach(tagName => { switch (tagName) {
    case "bswc-section":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, BSWCSection);
      }
      break;
    case "bswc-code":
      if (!customElements.get(tagName)) {
        defineCustomElement$2();
      }
      break;
  } });
}

const BswcSection = BSWCSection;
const defineCustomElement = defineCustomElement$1;

export { BswcSection, defineCustomElement };

//# sourceMappingURL=bswc-section.js.map