import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const rowCss = "bs-row{--bs-gutter-x:1.5rem;--bs-gutter-y:0;display:flex;flex-wrap:wrap;margin-top:calc(-1 * var(--bs-gutter-y));margin-right:calc(-0.5 * var(--bs-gutter-x));margin-left:calc(-0.5 * var(--bs-gutter-x));}bs-row>*{box-sizing:border-box;flex-shrink:0;width:100%;max-width:100%;padding-right:calc(var(--bs-gutter-x) * 0.5);padding-left:calc(var(--bs-gutter-x) * 0.5);margin-top:var(--bs-gutter-y)}bs-row[cols]>*{flex:0 0 auto}bs-row[cols=auto]>*{width:auto}bs-row[cols=\"1\"]>*{width:100%}bs-row[cols=\"2\"]>*{width:50%}bs-row[cols=\"3\"]>*{width:33.3333333333%}bs-row[cols=\"4\"]>*{width:25%}bs-row[cols=\"5\"]>*{width:20%}bs-row[cols=\"6\"]>*{width:16.6666666667%}@media (min-width: var(--bgwc-breakpoint-xs)){bs-row[cols-xs=\"1\"]>*{width:100%}bs-row[cols-xs=\"2\"]>*{width:50%}bs-row[cols-xs=\"3\"]>*{width:33.3333333333%}bs-row[cols-xs=\"4\"]>*{width:25%}bs-row[cols-xs=\"5\"]>*{width:20%}bs-row[cols-xs=\"6\"]>*{width:16.6666666667%}}@media (min-width: var(--bgwc-breakpoint-sm)){bs-row[cols-sm=\"1\"]>*{width:100%}bs-row[cols-sm=\"2\"]>*{width:50%}bs-row[cols-sm=\"3\"]>*{width:33.3333333333%}bs-row[cols-sm=\"4\"]>*{width:25%}bs-row[cols-sm=\"5\"]>*{width:20%}bs-row[cols-sm=\"6\"]>*{width:16.6666666667%}}@media (min-width: var(--bgwc-breakpoint-md)){bs-row[cols-md=\"1\"]>*{width:100%}bs-row[cols-md=\"2\"]>*{width:50%}bs-row[cols-md=\"3\"]>*{width:33.3333333333%}bs-row[cols-md=\"4\"]>*{width:25%}bs-row[cols-md=\"5\"]>*{width:20%}bs-row[cols-md=\"6\"]>*{width:16.6666666667%}}@media (min-width: var(--bgwc-breakpoint-lg)){bs-row[cols-lg=\"1\"]>*{width:100%}bs-row[cols-lg=\"2\"]>*{width:50%}bs-row[cols-lg=\"3\"]>*{width:33.3333333333%}bs-row[cols-lg=\"4\"]>*{width:25%}bs-row[cols-lg=\"5\"]>*{width:20%}bs-row[cols-lg=\"6\"]>*{width:16.6666666667%}}@media (min-width: var(--bgwc-breakpoint-xl)){bs-row[cols-xl=\"1\"]>*{width:100%}bs-row[cols-xl=\"2\"]>*{width:50%}bs-row[cols-xl=\"3\"]>*{width:33.3333333333%}bs-row[cols-xl=\"4\"]>*{width:25%}bs-row[cols-xl=\"5\"]>*{width:20%}bs-row[cols-xl=\"6\"]>*{width:16.6666666667%}}@media (min-width: var(--bgwc-breakpoint-xxl)){bs-row[cols-xxl=\"1\"]>*{width:100%}bs-row[cols-xxl=\"2\"]>*{width:50%}bs-row[cols-xxl=\"3\"]>*{width:33.3333333333%}bs-row[cols-xxl=\"4\"]>*{width:25%}bs-row[cols-xxl=\"5\"]>*{width:20%}bs-row[cols-xxl=\"6\"]>*{width:16.6666666667%}}bs-row[offset=\"0\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 0)}bs-row[offset=\"1\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 1)}bs-row[offset=\"2\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 2)}bs-row[offset=\"3\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 3)}bs-row[offset=\"4\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 4)}bs-row[offset=\"5\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 5)}bs-row[offset=\"6\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 6)}bs-row[offset=\"7\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 7)}bs-row[offset=\"8\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 8)}bs-row[offset=\"9\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 9)}bs-row[offset=\"10\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 10)}bs-row[offset=\"11\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 11)}@media (min-width: var(--bgwc-breakpoint-xs)){bs-row[offset-mq=\"1\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 1)}bs-row[offset-mq=\"2\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 2)}bs-row[offset-mq=\"3\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 3)}bs-row[offset-mq=\"4\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 4)}bs-row[offset-mq=\"5\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 5)}bs-row[offset-mq=\"6\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 6)}bs-row[offset-mq=\"7\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 7)}bs-row[offset-mq=\"8\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 8)}bs-row[offset-mq=\"9\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 9)}bs-row[offset-mq=\"10\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 10)}bs-row[offset-mq=\"11\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 11)}}@media (min-width: var(--bgwc-breakpoint-sm)){bs-row[offset-mq=\"1\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 1)}bs-row[offset-mq=\"2\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 2)}bs-row[offset-mq=\"3\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 3)}bs-row[offset-mq=\"4\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 4)}bs-row[offset-mq=\"5\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 5)}bs-row[offset-mq=\"6\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 6)}bs-row[offset-mq=\"7\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 7)}bs-row[offset-mq=\"8\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 8)}bs-row[offset-mq=\"9\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 9)}bs-row[offset-mq=\"10\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 10)}bs-row[offset-mq=\"11\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 11)}}@media (min-width: var(--bgwc-breakpoint-md)){bs-row[offset-mq=\"1\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 1)}bs-row[offset-mq=\"2\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 2)}bs-row[offset-mq=\"3\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 3)}bs-row[offset-mq=\"4\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 4)}bs-row[offset-mq=\"5\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 5)}bs-row[offset-mq=\"6\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 6)}bs-row[offset-mq=\"7\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 7)}bs-row[offset-mq=\"8\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 8)}bs-row[offset-mq=\"9\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 9)}bs-row[offset-mq=\"10\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 10)}bs-row[offset-mq=\"11\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 11)}}@media (min-width: var(--bgwc-breakpoint-lg)){bs-row[offset-mq=\"1\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 1)}bs-row[offset-mq=\"2\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 2)}bs-row[offset-mq=\"3\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 3)}bs-row[offset-mq=\"4\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 4)}bs-row[offset-mq=\"5\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 5)}bs-row[offset-mq=\"6\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 6)}bs-row[offset-mq=\"7\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 7)}bs-row[offset-mq=\"8\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 8)}bs-row[offset-mq=\"9\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 9)}bs-row[offset-mq=\"10\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 10)}bs-row[offset-mq=\"11\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 11)}}@media (min-width: var(--bgwc-breakpoint-xl)){bs-row[offset-mq=\"1\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 1)}bs-row[offset-mq=\"2\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 2)}bs-row[offset-mq=\"3\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 3)}bs-row[offset-mq=\"4\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 4)}bs-row[offset-mq=\"5\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 5)}bs-row[offset-mq=\"6\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 6)}bs-row[offset-mq=\"7\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 7)}bs-row[offset-mq=\"8\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 8)}bs-row[offset-mq=\"9\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 9)}bs-row[offset-mq=\"10\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 10)}bs-row[offset-mq=\"11\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 11)}}@media (min-width: var(--bgwc-breakpoint-xxl)){bs-row[offset-mq=\"1\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 1)}bs-row[offset-mq=\"2\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 2)}bs-row[offset-mq=\"3\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 3)}bs-row[offset-mq=\"4\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 4)}bs-row[offset-mq=\"5\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 5)}bs-row[offset-mq=\"6\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 6)}bs-row[offset-mq=\"7\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 7)}bs-row[offset-mq=\"8\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 8)}bs-row[offset-mq=\"9\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 9)}bs-row[offset-mq=\"10\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 10)}bs-row[offset-mq=\"11\"]{margin-left:calc(100% / var(--bgwc-grid-columns) * 11)}}bs-row[g=\"0\"],bs-row[gx=\"0\"]{--bs-gutter-x:var(--bgwc-gutter-xs)}bs-row[g=\"0\"],bs-row[gy=\"0\"]{--bs-gutter-y:var(--bgwc-gutter-xs)}bs-row[g=\"1\"],bs-row[gx=\"1\"]{--bs-gutter-x:var(--bgwc-gutter-sm)}bs-row[g=\"1\"],bs-row[gy=\"1\"]{--bs-gutter-y:var(--bgwc-gutter-sm)}bs-row[g=\"2\"],bs-row[gx=\"2\"]{--bs-gutter-x:var(--bgwc-gutter-md)}bs-row[g=\"2\"],bs-row[gy=\"2\"]{--bs-gutter-y:var(--bgwc-gutter-md)}bs-row[g=\"3\"],bs-row[gx=\"3\"]{--bs-gutter-x:var(--bgwc-gutter-lg)}bs-row[g=\"3\"],bs-row[gy=\"3\"]{--bs-gutter-y:var(--bgwc-gutter-lg)}bs-row[g=\"4\"],bs-row[gx=\"4\"]{--bs-gutter-x:var(--bgwc-gutter-xl)}bs-row[g=\"4\"],bs-row[gy=\"4\"]{--bs-gutter-y:var(--bgwc-gutter-xl)}bs-row[g=\"5\"],bs-row[gx=\"5\"]{--bs-gutter-x:var(--bgwc-gutter-xxl)}bs-row[g=\"5\"],bs-row[gy=\"5\"]{--bs-gutter-y:var(--bgwc-gutter-xxl)}bs-row[g-xs=\"0\"],bs-row[gx-xs=\"0\"]{--bs-gutter-x:var(--bgwc-gutter-xs)}bs-row[g-xs=\"0\"],bs-row[gy-xs=\"0\"]{--bs-gutter-y:var(--bgwc-gutter-xs)}bs-row[g-xs=\"1\"],bs-row[gx-xs=\"1\"]{--bs-gutter-x:var(--bgwc-gutter-sm)}bs-row[g-xs=\"1\"],bs-row[gy-xs=\"1\"]{--bs-gutter-y:var(--bgwc-gutter-sm)}bs-row[g-xs=\"2\"],bs-row[gx-xs=\"2\"]{--bs-gutter-x:var(--bgwc-gutter-md)}bs-row[g-xs=\"2\"],bs-row[gy-xs=\"2\"]{--bs-gutter-y:var(--bgwc-gutter-md)}bs-row[g-xs=\"3\"],bs-row[gx-xs=\"3\"]{--bs-gutter-x:var(--bgwc-gutter-lg)}bs-row[g-xs=\"3\"],bs-row[gy-xs=\"3\"]{--bs-gutter-y:var(--bgwc-gutter-lg)}bs-row[g-xs=\"4\"],bs-row[gx-xs=\"4\"]{--bs-gutter-x:var(--bgwc-gutter-xl)}bs-row[g-xs=\"4\"],bs-row[gy-xs=\"4\"]{--bs-gutter-y:var(--bgwc-gutter-xl)}bs-row[g-xs=\"5\"],bs-row[gx-xs=\"5\"]{--bs-gutter-x:var(--bgwc-gutter-xxl)}bs-row[g-xs=\"5\"],bs-row[gy-xs=\"5\"]{--bs-gutter-y:var(--bgwc-gutter-xxl)}bs-row[g-sm=\"0\"],bs-row[gx-sm=\"0\"]{--bs-gutter-x:var(--bgwc-gutter-xs)}bs-row[g-sm=\"0\"],bs-row[gy-sm=\"0\"]{--bs-gutter-y:var(--bgwc-gutter-xs)}bs-row[g-sm=\"1\"],bs-row[gx-sm=\"1\"]{--bs-gutter-x:var(--bgwc-gutter-sm)}bs-row[g-sm=\"1\"],bs-row[gy-sm=\"1\"]{--bs-gutter-y:var(--bgwc-gutter-sm)}bs-row[g-sm=\"2\"],bs-row[gx-sm=\"2\"]{--bs-gutter-x:var(--bgwc-gutter-md)}bs-row[g-sm=\"2\"],bs-row[gy-sm=\"2\"]{--bs-gutter-y:var(--bgwc-gutter-md)}bs-row[g-sm=\"3\"],bs-row[gx-sm=\"3\"]{--bs-gutter-x:var(--bgwc-gutter-lg)}bs-row[g-sm=\"3\"],bs-row[gy-sm=\"3\"]{--bs-gutter-y:var(--bgwc-gutter-lg)}bs-row[g-sm=\"4\"],bs-row[gx-sm=\"4\"]{--bs-gutter-x:var(--bgwc-gutter-xl)}bs-row[g-sm=\"4\"],bs-row[gy-sm=\"4\"]{--bs-gutter-y:var(--bgwc-gutter-xl)}bs-row[g-sm=\"5\"],bs-row[gx-sm=\"5\"]{--bs-gutter-x:var(--bgwc-gutter-xxl)}bs-row[g-sm=\"5\"],bs-row[gy-sm=\"5\"]{--bs-gutter-y:var(--bgwc-gutter-xxl)}bs-row[g-md=\"0\"],bs-row[gx-md=\"0\"]{--bs-gutter-x:var(--bgwc-gutter-xs)}bs-row[g-md=\"0\"],bs-row[gy-md=\"0\"]{--bs-gutter-y:var(--bgwc-gutter-xs)}bs-row[g-md=\"1\"],bs-row[gx-md=\"1\"]{--bs-gutter-x:var(--bgwc-gutter-sm)}bs-row[g-md=\"1\"],bs-row[gy-md=\"1\"]{--bs-gutter-y:var(--bgwc-gutter-sm)}bs-row[g-md=\"2\"],bs-row[gx-md=\"2\"]{--bs-gutter-x:var(--bgwc-gutter-md)}bs-row[g-md=\"2\"],bs-row[gy-md=\"2\"]{--bs-gutter-y:var(--bgwc-gutter-md)}bs-row[g-md=\"3\"],bs-row[gx-md=\"3\"]{--bs-gutter-x:var(--bgwc-gutter-lg)}bs-row[g-md=\"3\"],bs-row[gy-md=\"3\"]{--bs-gutter-y:var(--bgwc-gutter-lg)}bs-row[g-md=\"4\"],bs-row[gx-md=\"4\"]{--bs-gutter-x:var(--bgwc-gutter-xl)}bs-row[g-md=\"4\"],bs-row[gy-md=\"4\"]{--bs-gutter-y:var(--bgwc-gutter-xl)}bs-row[g-md=\"5\"],bs-row[gx-md=\"5\"]{--bs-gutter-x:var(--bgwc-gutter-xxl)}bs-row[g-md=\"5\"],bs-row[gy-md=\"5\"]{--bs-gutter-y:var(--bgwc-gutter-xxl)}bs-row[g-lg=\"0\"],bs-row[gx-lg=\"0\"]{--bs-gutter-x:var(--bgwc-gutter-xs)}bs-row[g-lg=\"0\"],bs-row[gy-lg=\"0\"]{--bs-gutter-y:var(--bgwc-gutter-xs)}bs-row[g-lg=\"1\"],bs-row[gx-lg=\"1\"]{--bs-gutter-x:var(--bgwc-gutter-sm)}bs-row[g-lg=\"1\"],bs-row[gy-lg=\"1\"]{--bs-gutter-y:var(--bgwc-gutter-sm)}bs-row[g-lg=\"2\"],bs-row[gx-lg=\"2\"]{--bs-gutter-x:var(--bgwc-gutter-md)}bs-row[g-lg=\"2\"],bs-row[gy-lg=\"2\"]{--bs-gutter-y:var(--bgwc-gutter-md)}bs-row[g-lg=\"3\"],bs-row[gx-lg=\"3\"]{--bs-gutter-x:var(--bgwc-gutter-lg)}bs-row[g-lg=\"3\"],bs-row[gy-lg=\"3\"]{--bs-gutter-y:var(--bgwc-gutter-lg)}bs-row[g-lg=\"4\"],bs-row[gx-lg=\"4\"]{--bs-gutter-x:var(--bgwc-gutter-xl)}bs-row[g-lg=\"4\"],bs-row[gy-lg=\"4\"]{--bs-gutter-y:var(--bgwc-gutter-xl)}bs-row[g-lg=\"5\"],bs-row[gx-lg=\"5\"]{--bs-gutter-x:var(--bgwc-gutter-xxl)}bs-row[g-lg=\"5\"],bs-row[gy-lg=\"5\"]{--bs-gutter-y:var(--bgwc-gutter-xxl)}bs-row[g-xl=\"0\"],bs-row[gx-xl=\"0\"]{--bs-gutter-x:var(--bgwc-gutter-xs)}bs-row[g-xl=\"0\"],bs-row[gy-xl=\"0\"]{--bs-gutter-y:var(--bgwc-gutter-xs)}bs-row[g-xl=\"1\"],bs-row[gx-xl=\"1\"]{--bs-gutter-x:var(--bgwc-gutter-sm)}bs-row[g-xl=\"1\"],bs-row[gy-xl=\"1\"]{--bs-gutter-y:var(--bgwc-gutter-sm)}bs-row[g-xl=\"2\"],bs-row[gx-xl=\"2\"]{--bs-gutter-x:var(--bgwc-gutter-md)}bs-row[g-xl=\"2\"],bs-row[gy-xl=\"2\"]{--bs-gutter-y:var(--bgwc-gutter-md)}bs-row[g-xl=\"3\"],bs-row[gx-xl=\"3\"]{--bs-gutter-x:var(--bgwc-gutter-lg)}bs-row[g-xl=\"3\"],bs-row[gy-xl=\"3\"]{--bs-gutter-y:var(--bgwc-gutter-lg)}bs-row[g-xl=\"4\"],bs-row[gx-xl=\"4\"]{--bs-gutter-x:var(--bgwc-gutter-xl)}bs-row[g-xl=\"4\"],bs-row[gy-xl=\"4\"]{--bs-gutter-y:var(--bgwc-gutter-xl)}bs-row[g-xl=\"5\"],bs-row[gx-xl=\"5\"]{--bs-gutter-x:var(--bgwc-gutter-xxl)}bs-row[g-xl=\"5\"],bs-row[gy-xl=\"5\"]{--bs-gutter-y:var(--bgwc-gutter-xxl)}bs-row[g-xxl=\"0\"],bs-row[gx-xxl=\"0\"]{--bs-gutter-x:var(--bgwc-gutter-xs)}bs-row[g-xxl=\"0\"],bs-row[gy-xxl=\"0\"]{--bs-gutter-y:var(--bgwc-gutter-xs)}bs-row[g-xxl=\"1\"],bs-row[gx-xxl=\"1\"]{--bs-gutter-x:var(--bgwc-gutter-sm)}bs-row[g-xxl=\"1\"],bs-row[gy-xxl=\"1\"]{--bs-gutter-y:var(--bgwc-gutter-sm)}bs-row[g-xxl=\"2\"],bs-row[gx-xxl=\"2\"]{--bs-gutter-x:var(--bgwc-gutter-md)}bs-row[g-xxl=\"2\"],bs-row[gy-xxl=\"2\"]{--bs-gutter-y:var(--bgwc-gutter-md)}bs-row[g-xxl=\"3\"],bs-row[gx-xxl=\"3\"]{--bs-gutter-x:var(--bgwc-gutter-lg)}bs-row[g-xxl=\"3\"],bs-row[gy-xxl=\"3\"]{--bs-gutter-y:var(--bgwc-gutter-lg)}bs-row[g-xxl=\"4\"],bs-row[gx-xxl=\"4\"]{--bs-gutter-x:var(--bgwc-gutter-xl)}bs-row[g-xxl=\"4\"],bs-row[gy-xxl=\"4\"]{--bs-gutter-y:var(--bgwc-gutter-xl)}bs-row[g-xxl=\"5\"],bs-row[gx-xxl=\"5\"]{--bs-gutter-x:var(--bgwc-gutter-xxl)}bs-row[g-xxl=\"5\"],bs-row[gy-xxl=\"5\"]{--bs-gutter-y:var(--bgwc-gutter-xxl)}bs-row[flex=reverse]{flex-direction:row-reverse !important}@media (min-width: var(--bgwc-breakpoint-xs)){bs-row[flex-xs=reverse]{flex-direction:row-reverse !important}}@media (min-width: var(--bgwc-breakpoint-sm)){bs-row[flex-sm=reverse]{flex-direction:row-reverse !important}}@media (min-width: var(--bgwc-breakpoint-md)){bs-row[flex-md=reverse]{flex-direction:row-reverse !important}}@media (min-width: var(--bgwc-breakpoint-lg)){bs-row[flex-lg=reverse]{flex-direction:row-reverse !important}}@media (min-width: var(--bgwc-breakpoint-xl)){bs-row[flex-xl=reverse]{flex-direction:row-reverse !important}}@media (min-width: var(--bgwc-breakpoint-xxl)){bs-row[flex-xxl=reverse]{flex-direction:row-reverse !important}}bs-row[flex=wrap]{flex-wrap:wrap !important}@media (min-width: var(--bgwc-breakpoint-xs)){bs-row[flex-xs=wrap]{flex-wrap:wrap !important}}@media (min-width: var(--bgwc-breakpoint-sm)){bs-row[flex-sm=wrap]{flex-wrap:wrap !important}}@media (min-width: var(--bgwc-breakpoint-md)){bs-row[flex-md=wrap]{flex-wrap:wrap !important}}@media (min-width: var(--bgwc-breakpoint-lg)){bs-row[flex-lg=wrap]{flex-wrap:wrap !important}}@media (min-width: var(--bgwc-breakpoint-xl)){bs-row[flex-xl=wrap]{flex-wrap:wrap !important}}@media (min-width: var(--bgwc-breakpoint-xxl)){bs-row[flex-xxl=wrap]{flex-wrap:wrap !important}}bs-row[flex=nowrap]{flex-wrap:nowrap !important}@media (min-width: var(--bgwc-breakpoint-xs)){bs-row[flex-xs=nowrap]{flex-wrap:nowrap !important}}@media (min-width: var(--bgwc-breakpoint-sm)){bs-row[flex-sm=nowrap]{flex-wrap:nowrap !important}}@media (min-width: var(--bgwc-breakpoint-md)){bs-row[flex-md=nowrap]{flex-wrap:nowrap !important}}@media (min-width: var(--bgwc-breakpoint-lg)){bs-row[flex-lg=nowrap]{flex-wrap:nowrap !important}}@media (min-width: var(--bgwc-breakpoint-xl)){bs-row[flex-xl=nowrap]{flex-wrap:nowrap !important}}@media (min-width: var(--bgwc-breakpoint-xxl)){bs-row[flex-xxl=nowrap]{flex-wrap:nowrap !important}}bs-row[flex=wrap-reverse]{flex-wrap:wrap-reverse !important}@media (min-width: var(--bgwc-breakpoint-xs)){bs-row[flex-xs=wrap-reverse]{flex-wrap:wrap-reverse !important}}@media (min-width: var(--bgwc-breakpoint-sm)){bs-row[flex-sm=wrap-reverse]{flex-wrap:wrap-reverse !important}}@media (min-width: var(--bgwc-breakpoint-md)){bs-row[flex-md=wrap-reverse]{flex-wrap:wrap-reverse !important}}@media (min-width: var(--bgwc-breakpoint-lg)){bs-row[flex-lg=wrap-reverse]{flex-wrap:wrap-reverse !important}}@media (min-width: var(--bgwc-breakpoint-xl)){bs-row[flex-xl=wrap-reverse]{flex-wrap:wrap-reverse !important}}@media (min-width: var(--bgwc-breakpoint-xxl)){bs-row[flex-xxl=wrap-reverse]{flex-wrap:wrap-reverse !important}}bs-row[justify=start]{justify-content:flex-start !important}@media (min-width: var(--bgwc-breakpoint-xs)){bs-row[justify-xs=start]{justify-content:flex-start !important}}@media (min-width: var(--bgwc-breakpoint-sm)){bs-row[justify-sm=start]{justify-content:flex-start !important}}@media (min-width: var(--bgwc-breakpoint-md)){bs-row[justify-md=start]{justify-content:flex-start !important}}@media (min-width: var(--bgwc-breakpoint-lg)){bs-row[justify-lg=start]{justify-content:flex-start !important}}@media (min-width: var(--bgwc-breakpoint-xl)){bs-row[justify-xl=start]{justify-content:flex-start !important}}@media (min-width: var(--bgwc-breakpoint-xxl)){bs-row[justify-xxl=start]{justify-content:flex-start !important}}bs-row[justify=end]{justify-content:flex-end !important}@media (min-width: var(--bgwc-breakpoint-xs)){bs-row[justify-xs=end]{justify-content:flex-end !important}}@media (min-width: var(--bgwc-breakpoint-sm)){bs-row[justify-sm=end]{justify-content:flex-end !important}}@media (min-width: var(--bgwc-breakpoint-md)){bs-row[justify-md=end]{justify-content:flex-end !important}}@media (min-width: var(--bgwc-breakpoint-lg)){bs-row[justify-lg=end]{justify-content:flex-end !important}}@media (min-width: var(--bgwc-breakpoint-xl)){bs-row[justify-xl=end]{justify-content:flex-end !important}}@media (min-width: var(--bgwc-breakpoint-xxl)){bs-row[justify-xxl=end]{justify-content:flex-end !important}}bs-row[justify=center]{justify-content:center !important}@media (min-width: var(--bgwc-breakpoint-xs)){bs-row[justify-xs=center]{justify-content:center !important}}@media (min-width: var(--bgwc-breakpoint-sm)){bs-row[justify-sm=center]{justify-content:center !important}}@media (min-width: var(--bgwc-breakpoint-md)){bs-row[justify-md=center]{justify-content:center !important}}@media (min-width: var(--bgwc-breakpoint-lg)){bs-row[justify-lg=center]{justify-content:center !important}}@media (min-width: var(--bgwc-breakpoint-xl)){bs-row[justify-xl=center]{justify-content:center !important}}@media (min-width: var(--bgwc-breakpoint-xxl)){bs-row[justify-xxl=center]{justify-content:center !important}}bs-row[justify=between]{justify-content:space-between !important}@media (min-width: var(--bgwc-breakpoint-xs)){bs-row[justify-xs=between]{justify-content:space-between !important}}@media (min-width: var(--bgwc-breakpoint-sm)){bs-row[justify-sm=between]{justify-content:space-between !important}}@media (min-width: var(--bgwc-breakpoint-md)){bs-row[justify-md=between]{justify-content:space-between !important}}@media (min-width: var(--bgwc-breakpoint-lg)){bs-row[justify-lg=between]{justify-content:space-between !important}}@media (min-width: var(--bgwc-breakpoint-xl)){bs-row[justify-xl=between]{justify-content:space-between !important}}@media (min-width: var(--bgwc-breakpoint-xxl)){bs-row[justify-xxl=between]{justify-content:space-between !important}}bs-row[justify=around]{justify-content:space-around !important}@media (min-width: var(--bgwc-breakpoint-xs)){bs-row[justify-xs=around]{justify-content:space-around !important}}@media (min-width: var(--bgwc-breakpoint-sm)){bs-row[justify-sm=around]{justify-content:space-around !important}}@media (min-width: var(--bgwc-breakpoint-md)){bs-row[justify-md=around]{justify-content:space-around !important}}@media (min-width: var(--bgwc-breakpoint-lg)){bs-row[justify-lg=around]{justify-content:space-around !important}}@media (min-width: var(--bgwc-breakpoint-xl)){bs-row[justify-xl=around]{justify-content:space-around !important}}@media (min-width: var(--bgwc-breakpoint-xxl)){bs-row[justify-xxl=around]{justify-content:space-around !important}}bs-row[justify=evenly]{justify-content:space-evenly !important}@media (min-width: var(--bgwc-breakpoint-xs)){bs-row[justify-xs=evenly]{justify-content:space-evenly !important}}@media (min-width: var(--bgwc-breakpoint-sm)){bs-row[justify-sm=evenly]{justify-content:space-evenly !important}}@media (min-width: var(--bgwc-breakpoint-md)){bs-row[justify-md=evenly]{justify-content:space-evenly !important}}@media (min-width: var(--bgwc-breakpoint-lg)){bs-row[justify-lg=evenly]{justify-content:space-evenly !important}}@media (min-width: var(--bgwc-breakpoint-xl)){bs-row[justify-xl=evenly]{justify-content:space-evenly !important}}@media (min-width: var(--bgwc-breakpoint-xxl)){bs-row[justify-xxl=evenly]{justify-content:space-evenly !important}}bs-row[align=start]{align-items:flex-start !important}@media (min-width: var(--bgwc-breakpoint-xs)){bs-row[align-xs=start]{align-items:flex-start !important}}@media (min-width: var(--bgwc-breakpoint-sm)){bs-row[align-sm=start]{align-items:flex-start !important}}@media (min-width: var(--bgwc-breakpoint-md)){bs-row[align-md=start]{align-items:flex-start !important}}@media (min-width: var(--bgwc-breakpoint-lg)){bs-row[align-lg=start]{align-items:flex-start !important}}@media (min-width: var(--bgwc-breakpoint-xl)){bs-row[align-xl=start]{align-items:flex-start !important}}@media (min-width: var(--bgwc-breakpoint-xxl)){bs-row[align-xxl=start]{align-items:flex-start !important}}bs-row[align=end]{align-items:flex-end !important}@media (min-width: var(--bgwc-breakpoint-xs)){bs-row[align-xs=end]{align-items:flex-end !important}}@media (min-width: var(--bgwc-breakpoint-sm)){bs-row[align-sm=end]{align-items:flex-end !important}}@media (min-width: var(--bgwc-breakpoint-md)){bs-row[align-md=end]{align-items:flex-end !important}}@media (min-width: var(--bgwc-breakpoint-lg)){bs-row[align-lg=end]{align-items:flex-end !important}}@media (min-width: var(--bgwc-breakpoint-xl)){bs-row[align-xl=end]{align-items:flex-end !important}}@media (min-width: var(--bgwc-breakpoint-xxl)){bs-row[align-xxl=end]{align-items:flex-end !important}}bs-row[align=center]{align-items:center !important}@media (min-width: var(--bgwc-breakpoint-xs)){bs-row[align-xs=center]{align-items:center !important}}@media (min-width: var(--bgwc-breakpoint-sm)){bs-row[align-sm=center]{align-items:center !important}}@media (min-width: var(--bgwc-breakpoint-md)){bs-row[align-md=center]{align-items:center !important}}@media (min-width: var(--bgwc-breakpoint-lg)){bs-row[align-lg=center]{align-items:center !important}}@media (min-width: var(--bgwc-breakpoint-xl)){bs-row[align-xl=center]{align-items:center !important}}@media (min-width: var(--bgwc-breakpoint-xxl)){bs-row[align-xxl=center]{align-items:center !important}}bs-row[align=baseline]{align-items:baseline !important}@media (min-width: var(--bgwc-breakpoint-xs)){bs-row[align-xs=baseline]{align-items:baseline !important}}@media (min-width: var(--bgwc-breakpoint-sm)){bs-row[align-sm=baseline]{align-items:baseline !important}}@media (min-width: var(--bgwc-breakpoint-md)){bs-row[align-md=baseline]{align-items:baseline !important}}@media (min-width: var(--bgwc-breakpoint-lg)){bs-row[align-lg=baseline]{align-items:baseline !important}}@media (min-width: var(--bgwc-breakpoint-xl)){bs-row[align-xl=baseline]{align-items:baseline !important}}@media (min-width: var(--bgwc-breakpoint-xxl)){bs-row[align-xxl=baseline]{align-items:baseline !important}}bs-row[align=stretch]{align-items:stretch !important}@media (min-width: var(--bgwc-breakpoint-xs)){bs-row[align-xs=stretch]{align-items:stretch !important}}@media (min-width: var(--bgwc-breakpoint-sm)){bs-row[align-sm=stretch]{align-items:stretch !important}}@media (min-width: var(--bgwc-breakpoint-md)){bs-row[align-md=stretch]{align-items:stretch !important}}@media (min-width: var(--bgwc-breakpoint-lg)){bs-row[align-lg=stretch]{align-items:stretch !important}}@media (min-width: var(--bgwc-breakpoint-xl)){bs-row[align-xl=stretch]{align-items:stretch !important}}@media (min-width: var(--bgwc-breakpoint-xxl)){bs-row[align-xxl=stretch]{align-items:stretch !important}}";

const BSRow = /*@__PURE__*/ proxyCustomElement(class BSRow extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
  }
  render() {
    return (h(Host, null, h("slot", null)));
  }
  static get style() { return rowCss; }
}, [4, "bs-row"]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bs-row"];
  components.forEach(tagName => { switch (tagName) {
    case "bs-row":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, BSRow);
      }
      break;
  } });
}

const BsRow = BSRow;
const defineCustomElement = defineCustomElement$1;

export { BsRow, defineCustomElement };

//# sourceMappingURL=bs-row.js.map